"Failed to open python console" 

2013-07-06 02:54 PM - dassouki -

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17042

Description

I installed the latest dev from [Dakota Carto[http://qgis.dakotacarto.com/]] QGIS code revision: 7587972.

Info about my installation:

    -  QGIS version    1.9.0-Master            QGIS code revision    7587972

    -  Compiled against Qtr    4.8.4            Running against Qt    4.8.4

    -  Compiled against GDAL/OGR    1.10dev    Running against GDAL/OGR    1.10.0

    -  GEOS Version    3.3.6dev                PostgreSQL Client Version    9.2.4

    -  SpatiaLite Version    4.0.0                QWT Version    6.0.2

    -  PROJ.4 Version    480                QScintilla2 Version    2.7.1

How the issue started:

When I first installed the latest revision, python console was working. I then exited and reloaded QGIS. Here is the traceback when I tried

to open python console again:

 *Note that the Traceback is followed by a message box with the following text: Failed to open Python console::

Failed to open Python console:

----------------------------------

Traceback (most recent call last):

File "", line 2, in 

File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/console/console.py", line 43, in show_console

_console = PythonConsole( parent )

File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/console/console.py", line 75, in init

self.console = PythonConsoleWidget(self)

File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/console/console.py", line 99, in init

self.options = optionsDialog(self)

File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/console/console_settings.py", line 38, in init

self.restoreSettings()

File "/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/console/console_settings.py", line 188, in

restoreSettings

self.lineEdit.setText(settings.value("pythonConsole/preparedAPIFile"))

TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'QPyNullVariant'

Python version:

2.7.2 (default, Jun 20 2012, 16:23:33) 

[GCC 4.2.1 Compatible Apple Clang 4.0 (tags/Apple/clang-418.0.60)]

QGIS version:

1.9.0-Master 'Master', 7587972
Python path:

['/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins/sextante',

'/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python', '/Users/dassouki/.qgis2/python',

'/Users/dassouki/.qgis2/python/plugins', '/Applications/QGIS_2.0-dev.app/Contents/MacOS/../Resources/python/plugins',

'/Library/Frameworks/SQLite3.framework/Versions/B/Python/2.7', '/Library/Python/2.7/site-packages/numpy-override',

'/Library/Frameworks/GDAL.framework/Versions/1.10/Python/2.7/site-packages',

'/Library/Python/2.7/site-packages/pip-1.1-py2.7.egg', '/Library/Python/2.7/site-packages/SQLAlchemy-0.8.0b2-py2.7.egg',

'/Library/Frameworks/cairo.framework/Versions/1/Python/2.7',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages',

'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload',

'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', '/Library/Python/2.7/site-packages',

'/Applications/QGIS_2.0-dev.app/Contents/Resources/python/plugins/fTools/tools',

'/Users/dassouki/.qgis2/python/plugins/mmqgis/forms', '~/.qgis/python']

Associated revisions

Revision c735d1a0 - 2013-07-08 03:46 PM - Salvatore Larosa

[pyqgis-console][fixes #8230] adds a missing default value in settings

History

#1 - 2013-07-08 06:46 AM - Salvatore Larosa

- Status changed from Open to Closed

Fixed in changeset commit:"c735d1a068b83c979de7138f6a35f884066b013d".
